<!-- ======= Header ======= -->
<header>
    <nav class="navbar navbar-expand-lg navbar-light bg-light fixed-top" id="header-nav" role="navigation">
        <div class="container" >
            <a class="link-dark navbar-brand site-title mb-0" href=" {{path('home')}} " data-aos="zoom-in">
                <img src=" {{ asset ('build/images/fatah_benamara_scrum_master_logo.png') | imagine_filter ('thumb') }}" alt="" />
            </a>

            <button 
                class="navbar-toggler" 
                type="button" 
                data-bs-toggle="collapse" 
                data-bs-target="#navbarSupportedContent" 
                aria-controls="navbarSupportedContent" 
                aria-expanded="false" 
                aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>

            <div class="collapse navbar-collapse" id="navbarSupportedContent" data-aos="zoom-in" >
                <ul class="navbar-nav ms-auto me-2">
                    <li class="nav-item">
                        <a class="nav-link" href="{{path('realisations')}}">Réalisations</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{{path('actualites')}}">Actualités</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{{path('apropos')}}">A propos</a>
                    </li>
           
                    <li class="nav-item dropdown">
                        <a 
                            class="nav-link dropdown-toggle" 
                            href="{{path('portfolio')}}" 
                            data-bs-toggle="dropdown" 
                            >Portfolio
                        </a>
                        <ul 
                            class="dropdown-menu" 
                            {% for categorie in categorieNavbar() %}
                            <li>
                                <a class="dropdown-item"
                                    href="{{ path('portfolio_categorie',  {'slug': categorie.slug} )  }}">
                                    {{ categorie.nom }} </a>
                            </li>
                            {% endfor %}

                        </ul>
                    </li>
            
                </ul>
                <a class="btn btn-outline-warning waves-effect btn-lg tilt-btn tilt-btn" href="{{path('contact')}}">Me contacter</a>
                {#   
                <a class="btn  btn-lg " href="{{path('app_register') }}">S'inscrire </a>   
                <a class="btn  btn-lg " href="{{path('app_login') }}">Se connecter </a>  
                #}
                {#  {% if is_granted('ROLE_USER') %}{% endif %} #} 
                
                {% if app.user %}
                    <a class="btn  btn-lg " href="{{path('admin')}}"><i class="fa-solid fa-gears"></i></a>
                    <a class="btn  btn-lg " href="{{path('app_logout') }}"><i class="fa-solid fa-arrow-right-from-bracket"></i></a>
                    {{app.user.userIdentifier}}
                {% endif %}
            </div>

        </div>
    </nav>
</header>  
<!-- End Header -->
